<?php
namespace Claromentis\News\Comments;

$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array("com" . "men" . "t" => base64_decode("Y29tbW" . "VudA=="), "_d3c72043723006b6" . "59492f087ddf1fdf" => base64_decode("bm" . "V3" . "cw" . "=="), "_e8d7d527b284cadd317dfbdb10b34" . "e4e" => base64_decode("Q29tbWVudFVwZGF0ZWRFdmVudFJlY2V" . "pdmVy"), "_4e7af63a0a4c1eafe5742f795b98e3" . "23" => base64_decode("TmV3cyBjb21tZW50IC" . "M="), "_2e799a34cc60c12ca876d27b573a1" . "1eb" => base64_decode("IGFk" . "ZGVk"), "_d50d529d57" . "39d103bc48e" . "65a4b513fe3" => base64_decode("Q29tbWVudEFkZGVkRXZlbnRSZ" . "WNlaXZlcg=="), "_191a9c6947" . "01b5e98f9b0" . "2b73105f5cf" => base64_decode("Q29tbWVud" . "ERlbGV0ZW" . "RFdmVudFJ" . "lY2VpdmVy"));
use ClaAudit;
use Claromentis\Comments\Events\CommentAddedEvent;
use Claromentis\Comments\Events\CommentDeletedEvent;
use Claromentis\Comments\Events\CommentUpdatedEvent;
use Claromentis\Comments\Model\Comment;
use Claromentis\Search\Indexing\IndexingQueue;
use Claromentis\Search\ItemType\Indexing\News;
use NewsItem;
use Symfony\Component\EventDispatcher\EventDispatcherInterface;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;






class CommentsSubscriber implements EventSubscriberInterface
{
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public static function getSubscribedEvents()
    {
        return [CommentAddedEvent::EVENT_NAME => $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_d50d529d5739d10" . "3bc48e65a4b513fe" . "3"], CommentDeletedEvent::EVENT_NAME => $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_191a9c694701b5e98f9b02" . "b73105f5cf"], CommentUpdatedEvent::EVENT_NAME => $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_e8d7d527b284cad" . "d317dfbdb10b34e4" . "e"]];
    }
    public function CommentAddedEventReceiver(CommentAddedEvent $event, $_5693d84b45564f912e36404cbe8957e8, EventDispatcherInterface $dispatcher)
    {
        
        
        $comment = $event->GetComment();
        $_60378eae7533ef2a18e2cf710db06291 = new NewsItem();
        $_60378eae7533ef2a18e2cf710db06291->Load($comment->object_id);
        if (!$_60378eae7533ef2a18e2cf710db06291->is_draft && $_60378eae7533ef2a18e2cf710db06291->IsApproved()) {
            
            
            if ((int) $comment->aggregation === AGGREGATION_NEWS) {
                IndexingQueue::Reindex(News::TYPE_NAME, $comment->object_id);
                ClaAudit::Store(AUDIT_SUCCESS, $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_d3c72043723" . "006b659492f0" . "87ddf1fdf"], $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["co" . "mm" . "en" . "t"], $comment->object_id, $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_4e7af63a0a4c1" . "eafe5742f795b9" . "8e323"] . $comment->id . $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_2e799a34cc60c12ca876d27b573" . "a11eb"]);
                $event->stopPropagation();
            }
        }
    }
    public function CommentDeletedEventReceiver(CommentDeletedEvent $event)
    {
        
        
        $comment = $event->GetComment();
        $_60378eae7533ef2a18e2cf710db06291 = new NewsItem();
        $_60378eae7533ef2a18e2cf710db06291->Load($comment->object_id);
        if (!$_60378eae7533ef2a18e2cf710db06291->is_draft && $_60378eae7533ef2a18e2cf710db06291->IsApproved()) {
            if ((int) $comment->aggregation === AGGREGATION_NEWS) {
                IndexingQueue::Reindex(News::TYPE_NAME, $comment->object_id);
                $event->stopPropagation();
            }
        }
    }
    public function CommentUpdatedEventReceiver(CommentUpdatedEvent $event)
    {
        
        
        $comment = $event->GetComment();
        $_60378eae7533ef2a18e2cf710db06291 = new NewsItem();
        $_60378eae7533ef2a18e2cf710db06291->Load($comment->object_id);
        if (!$_60378eae7533ef2a18e2cf710db06291->is_draft && $_60378eae7533ef2a18e2cf710db06291->IsApproved()) {
            if ((int) $comment->aggregation === AGGREGATION_NEWS) {
                IndexingQueue::Reindex(News::TYPE_NAME, $comment->object_id);
                $event->stopPropagation();
            }
        }
    }
}